Core - Bug # 47852

Task # 47756 (Resolved): Remove require / require_once fallback layers for namespaced classes

Status: Resolved Priority: Should have
Author: Christian Kuhn Category:

Created: 2013-05-02 Assigned To:

Updated: 2013-07-05 Due date:

TYPOS3 Version: 6.2

PHP Version: 53

Complexity:

Is Regression:
Sprint Focus:

Subiject: Remove dummy files from ext:indexed_search

Description

Related issues:
related to Core - Bug # 58567: Error in loadIndexerClass() Resolved 2014-05-06

Associated revisions

Revision 6e6096e1 - 2013-07-05 16:53 - Christian Kuhn

[TASK] Remove dummy files from ext:indexed_search

- The pi1 script still lives as dummy file since the addP1toST43
registration fails otherwise.

- modfunc1 and modfunc2 class files still live as dummy files as
the sub-sub module handling in core fails otherwise.

Change-Id: 121b92a07e7{f83cd1dd3f12b0e15bef7{84691e9
Resolves: #47852

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.org/20442

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

Revision d2969cdb - 2014-05-06 23:27 - Markus Klein

[BUGFIX] IndexSearch still uses require_once

Remove the old magic as classes are loaded properly already.

Resolves: #58567

Related: #47852

Releases: 6.2

Change-Id: lec20bf0dbd695595022593691 1ebab04faf720d6
Reviewed-on: https://review.typo3.0rg/29898

Reviewed-by: Oliver Klee
Reviewed-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-05-02 22:12 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/20442

#2 - 2013-07-05 16:51 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/20442

#3 - 2013-07-05 17:30 - Christian Kuhn
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:6e6096e19d6803d7fe20bbdb85e8ea8ce63cc79b.
